Skala
Procurement orders

Update a procurement order

Partially updates specific fields of an existing procurement order without affecting the rest of the data.

PATCH
/api/procurement_orders/{id}

Partially updates specific fields of an existing procurement order without affecting the rest of the data.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

ProcurementOrder identifier

Request Body

application/merge-patch+json

The updated ProcurementOrder resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.skalasuite.com/api/procurement_orders/string" \  -H "Content-Type: application/merge-patch+json" \  -d '<email>string</email>  <replyTo>string</replyTo>  <template>/entity/1</template>  <body>string</body>  <subject>string</subject>'
{
  "id": 0,
  "supplier": {
    "id": 0,
    "name": "string",
    "email": "string"
  },
  "forwarded": true,
  "expectedDate": "2019-08-24T14:15:22Z",
  "archived": true,
  "procurementOrderItems": [
    {
      "id": 0,
      "variant": {
        "id": 0,
        "stock": {
          "id": 0,
          "unit": {
            "id": 0,
            "name": "string"
          }
        },
        "code": "string",
        "name": "string"
      },
      "quantity": 0
    }
  ],
  "email": "string",
  "replyTo": "string",
  "template": "/entity/1",
  "body": "string",
  "subject": "string"
}
Empty
Empty
Empty